DefaultHTTPTransportClientProperties (Axis API)
Keywords: org.apache.axis.components.net.DefaultHTTPTransportClientProperties,DefaultHTTPTransportClientProperties class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.components.net
Class DefaultHTTPTransportClientProperties

    java.lang.Object
      |
      +--org.apache.axis.components.net.DefaultHTTPTransportClientProperties

All Implemented Interfaces:
  TransportClientProperties

Direct Known Subclasses:
  DefaultHTTPSTransportClientProperties

public class DefaultHTTPTransportClientProperties
extends java.lang.Object
implements TransportClientProperties

Author:
  Richard A. Sitze

Field Summary
`protected java.lang.String` | `nonProxyHosts`
`protected java.lang.String` | `proxyHost`
`protected java.lang.String` | `proxyPassword`
`protected java.lang.String` | `proxyPort`
`protected java.lang.String` | `proxyUser`

Constructor Summary
`DefaultHTTPTransportClientProperties()`

Method Summary
`java.lang.String` | `getNonProxyHosts()` Returns a valid String, may be empty ("").
`java.lang.String` | `getProxyHost()` Returns a valid String, may be empty ("").
`java.lang.String` | `getProxyPassword()` Returns a valid String, may be empty ("").
`java.lang.String` | `getProxyPort()` Returns a valid String, may be empty ("").
`java.lang.String` | `getProxyUser()` Returns a valid String, may be empty ("").

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### proxyHost

    protected java.lang.String proxyHost

### nonProxyHosts

    protected java.lang.String nonProxyHosts

### proxyPort

    protected java.lang.String proxyPort

### proxyUser

    protected java.lang.String proxyUser

### proxyPassword

    protected java.lang.String proxyPassword

Constructor Detail

### DefaultHTTPTransportClientProperties

    public DefaultHTTPTransportClientProperties()

Method Detail

### getProxyHost

    public java.lang.String getProxyHost()

  Description copied from interface: `TransportClientProperties`
  Returns a valid String, may be empty ("").

  Specified by:
    `getProxyHost` in interface `TransportClientProperties`
  See Also:
    `TransportClientProperties.getProxyHost()`

### getNonProxyHosts

    public java.lang.String getNonProxyHosts()

  Description copied from interface: `TransportClientProperties`
  Returns a valid String, may be empty ("").

  Specified by:
    `getNonProxyHosts` in interface `TransportClientProperties`
  See Also:
    `TransportClientProperties.getNonProxyHosts()`

### getProxyPort

    public java.lang.String getProxyPort()

  Description copied from interface: `TransportClientProperties`
  Returns a valid String, may be empty ("").

  Specified by:
    `getProxyPort` in interface `TransportClientProperties`
  See Also:
    `org.apache.axis.components.net.TransportClientProperties#getPort()`

### getProxyUser

    public java.lang.String getProxyUser()

  Description copied from interface: `TransportClientProperties`
  Returns a valid String, may be empty ("").

  Specified by:
    `getProxyUser` in interface `TransportClientProperties`
  See Also:
    `TransportClientProperties.getProxyUser()`

### getProxyPassword

    public java.lang.String getProxyPassword()

  Description copied from interface: `TransportClientProperties`
  Returns a valid String, may be empty ("").

  Specified by:
    `getProxyPassword` in interface `TransportClientProperties`
  See Also:
    `TransportClientProperties.getProxyPassword()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.